DataBindingConfigurationProperties (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.plugins.databinding

## [Java] Class DataBindingConfigurationProperties

- org.grails.plugins.databinding.DataBindingConfigurationProperties

- Data binding configuration.

  Authors:
    graemerocher
  Since:
    4.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `autoGrowCollectionLimit`
    `boolean` | `convertEmptyStringsToNull`
    `java.util.List<java.lang.String>` | `dateFormats`
    `boolean` | `dateParsingLenient`
    `boolean` | `trimStrings`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getAutoGrowCollectionLimit()`
    `` | `java.util.List<java.lang.String>` | `getDateFormats()`
    `` | `boolean` | `isConvertEmptyStringsToNull()`
    `` | `boolean` | `isDateParsingLenient()`
    `` | `boolean` | `isTrimStrings()`
    `` | `void` | `setAutoGrowCollectionLimit(int autoGrowCollectionLimit)`
    `` | `void` | `setConvertEmptyStringsToNull(boolean convertEmptyStringsToNull)`
    `` | `void` | `setDateFormats(java.util.List<java.lang.String> dateFormats)`
    `` | `void` | `setDateParsingLenient(boolean dateParsingLenient)`
    `` | `void` | `setTrimStrings(boolean trimStrings)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### int autoGrowCollectionLimit

    - #### boolean convertEmptyStringsToNull

    - #### java.util.List<java.lang.String> dateFormats

    - #### boolean dateParsingLenient

    - #### boolean trimStrings

  - ### Method Detail

    - #### public int getAutoGrowCollectionLimit()

    - #### public java.util.List<java.lang.String> getDateFormats()

    - #### public boolean isConvertEmptyStringsToNull()

    - #### public boolean isDateParsingLenient()

    - #### public boolean isTrimStrings()

    - #### public void setAutoGrowCollectionLimit(int autoGrowCollectionLimit)

    - #### public void setConvertEmptyStringsToNull(boolean convertEmptyStringsToNull)

    - #### public void setDateFormats(java.util.List<java.lang.String> dateFormats)

    - #### public void setDateParsingLenient(boolean dateParsingLenient)

    - #### public void setTrimStrings(boolean trimStrings)